Bug 134585 - zsh depends upon gdbm implicitly
zsh depends upon gdbm implicitly
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hajimu UMEMOTO
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 19:50 UTC by ume
Modified: 2009-05-17 06:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ume 2009-05-16 19:50:02 UTC
Zsh depends upon gdbm implicitly.

Fix: Apply following patch:



--
Hajimu UMEMOTO @ Internet Mutual Aid Society Yokohama, Japan
ume@mahoroba.org  ume@{,jp.}FreeBSD.org
http://www.imasy.org/~ume/--5qaPgTuSggukFvjsxPBxlaetkyCEKtjBJRZ2N6bzONzse5FH
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: zsh/Makefile
diff -u zsh/Makefile.orig zsh/Makefile
--- zsh/Makefile.orig	2009-01-22 01:00:26.000000000 +0900
+++ zsh/Makefile	2009-05-17 02:32:03.602351851 +0900
@@ -32,7 +32,8 @@
 
 EXTRA_PATCHES=	${FILESDIR}/extra-patch-bsdtar
 
-OPTIONS=	ZSH_MEM		"Enable zsh-mem and zsh-secure-free options" on \
+OPTIONS=	ZSH_GDBM	"Enable GDBM support" off \
+		ZSH_MEM		"Enable zsh-mem and zsh-secure-free options" on \
 		ZSH_MAILDIR	"Enable support for Maildirs in MAIL(PATH)" on \
 		ZSH_MULTIBYTE	"Enable multibyte character support" on \
 		ZSH_PCRE	"Enable PCRE support" off \
@@ -52,6 +53,14 @@
 
 .include <bsd.port.pre.mk>
 
+.if defined(WITH_ZSH_GDBM)
+LIB_DEPENDS+=		gdbm.3:${PORTSDIR}/databases/gdbm
+PLIST_SUB+=		GDBM=""
+.else
+CONFIGURE_ARGS+=	--disable-gdbm
+PLIST_SUB+=		GDBM="@comment "
+.endif
+
 .if defined(WITH_ZSH_PCRE)
 CONFIGURE_ARGS+=	--enable-pcre
 LIB_DEPENDS+=		pcre.0:${PORTSDIR}/devel/pcre
Index: zsh/pkg-plist
diff -u zsh/pkg-plist.orig zsh/pkg-plist
--- zsh/pkg-plist.orig	2008-12-05 22:20:00.000000000 +0900
+++ zsh/pkg-plist	2009-05-17 02:34:46.535832466 +0900
@@ -14,6 +14,7 @@
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/computil.so
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/curses.so
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/datetime.so
+%%GDBM%%%%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/db/gdbm.so
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/deltochar.so
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/example.so
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/files.so
@@ -39,6 +40,7 @@
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/zpty.so
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/zselect.so
 %%SHARED%%lib/zsh/%%ZSH_VER%%/zsh/zutil.so
+%%GDBM%%%%SHARED%%@dirrm lib/zsh/%%ZSH_VER%%/zsh/db
 %%SHARED%%@dirrm lib/zsh/%%ZSH_VER%%/zsh/net
 %%SHARED%%@dirrm lib/zsh/%%ZSH_VER%%/zsh
 %%SHARED%%@dirrm lib/zsh/%%ZSH_VER%%
	
How-To-Repeat: Install zsh after gdbm is installed.
Comment 1 dfilter freebsd_committer 2009-05-17 06:12:51 UTC
ume         2009-05-17 05:12:36 UTC

  FreeBSD ports repository

  Modified files:
    shells/zsh           Makefile pkg-plist 
  Log:
  Add an option to enable GDBM support.
  
  PR:             ports/134585
  Submitted by:   ume
  Approved by:    des (maintainer)
  
  Revision  Changes    Path
  1.112     +11 -2     ports/shells/zsh/Makefile
  1.45      +3 -1      ports/shells/zsh/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Hajimu UMEMOTO freebsd_committer 2009-05-17 06:16:21 UTC
State Changed
From-To: open->closed
Comment 3 Hajimu UMEMOTO freebsd_committer 2009-05-17 06:16:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

Committed.